%h3.page-title
  %i.icon-code-fork
  = t("projects_section.tags.new_tag")
= form_tag project_tags_path, method: :post, class: "form-horizontal" do
  .form-group
    = label_tag :tag_name, t("projects_section.tags.name_for_new_tag"), class: 'control-label'
    .col-sm-10
      = text_field_tag :tag_name, nil, placeholder: 'v3.0.1', required: true, tabindex: 1, class: 'form-control'
  .form-group
    = label_tag :ref, t("projects_section.tags.create_from"), class: 'control-label'
    .col-sm-10
      = text_field_tag :ref, nil, placeholder: 'master', required: true, tabindex: 2, class: 'form-control'
      .light
        = t("projects_section.tags.branch_name_or_commit_sha")
  .form-actions
    = submit_tag t("projects_section.tags.create_tag"), class: 'btn btn-create', tabindex: 3
    = link_to t("projects_section.tags.cancel"), project_tags_path(@project), class: 'btn btn-cancel'

:javascript
  var availableTags = #{@project.repository.ref_names.to_json};

  $("#ref").autocomplete({
    source: availableTags,
    minLength: 1
  });
